Cyan Web API - Version 1


GET api/tenantApplications

            Gets TenantApplications.
            

Response Information

Response body formats

application/json, text/json

Sample:
[
  {
    "tenantId": "b827c8bd-a09b-4b80-b2fd-f7f0cc6b656a",
    "applicationId": "9ccced41-ab23-4e7b-9cf2-7a2e75f7bcbc",
    "licenseKey": "sample string 3",
    "isLicenseKeyActive": true,
    "totalLicenses": 5,
    "applicationLookupKey": "sample string 6",
    "createdDateUtc": "2026-11-13T23:59:44.961035+00:00",
    "updatedDateUtc": "2026-11-13T23:59:44.961035+00:00"
  },
  {
    "tenantId": "b827c8bd-a09b-4b80-b2fd-f7f0cc6b656a",
    "applicationId": "9ccced41-ab23-4e7b-9cf2-7a2e75f7bcbc",
    "licenseKey": "sample string 3",
    "isLicenseKeyActive": true,
    "totalLicenses": 5,
    "applicationLookupKey": "sample string 6",
    "createdDateUtc": "2026-11-13T23:59:44.961035+00:00",
    "updatedDateUtc": "2026-11-13T23:59:44.961035+00:00"
  },
  {
    "tenantId": "b827c8bd-a09b-4b80-b2fd-f7f0cc6b656a",
    "applicationId": "9ccced41-ab23-4e7b-9cf2-7a2e75f7bcbc",
    "licenseKey": "sample string 3",
    "isLicenseKeyActive": true,
    "totalLicenses": 5,
    "applicationLookupKey": "sample string 6",
    "createdDateUtc": "2026-11-13T23:59:44.961035+00:00",
    "updatedDateUtc": "2026-11-13T23:59:44.961035+00:00"
  }
]

application/xml, text/xml

Sample:
<ArrayOfTenantApplicationRepresentation xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/BlueDot.Cyan.Server.Core.Models.Rest.Version1">
  <TenantApplicationRepresentation>
    <CreatedDateUtc>2026-11-13T23:59:44.961035+00:00</CreatedDateUtc>
    <UpdatedDateUtc>2026-11-13T23:59:44.961035+00:00</UpdatedDateUtc>
    <ApplicationId>9ccced41-ab23-4e7b-9cf2-7a2e75f7bcbc</ApplicationId>
    <ApplicationLookupKey>sample string 6</ApplicationLookupKey>
    <IsLicenseKeyActive>true</IsLicenseKeyActive>
    <LicenseKey>sample string 3</LicenseKey>
    <TenantId>b827c8bd-a09b-4b80-b2fd-f7f0cc6b656a</TenantId>
    <TotalLicenses>5</TotalLicenses>
  </TenantApplicationRepresentation>
  <TenantApplicationRepresentation>
    <CreatedDateUtc>2026-11-13T23:59:44.961035+00:00</CreatedDateUtc>
    <UpdatedDateUtc>2026-11-13T23:59:44.961035+00:00</UpdatedDateUtc>
    <ApplicationId>9ccced41-ab23-4e7b-9cf2-7a2e75f7bcbc</ApplicationId>
    <ApplicationLookupKey>sample string 6</ApplicationLookupKey>
    <IsLicenseKeyActive>true</IsLicenseKeyActive>
    <LicenseKey>sample string 3</LicenseKey>
    <TenantId>b827c8bd-a09b-4b80-b2fd-f7f0cc6b656a</TenantId>
    <TotalLicenses>5</TotalLicenses>
  </TenantApplicationRepresentation>
  <TenantApplicationRepresentation>
    <CreatedDateUtc>2026-11-13T23:59:44.961035+00:00</CreatedDateUtc>
    <UpdatedDateUtc>2026-11-13T23:59:44.961035+00:00</UpdatedDateUtc>
    <ApplicationId>9ccced41-ab23-4e7b-9cf2-7a2e75f7bcbc</ApplicationId>
    <ApplicationLookupKey>sample string 6</ApplicationLookupKey>
    <IsLicenseKeyActive>true</IsLicenseKeyActive>
    <LicenseKey>sample string 3</LicenseKey>
    <TenantId>b827c8bd-a09b-4b80-b2fd-f7f0cc6b656a</TenantId>
    <TotalLicenses>5</TotalLicenses>
  </TenantApplicationRepresentation>
</ArrayOfTenantApplicationRepresentation>